Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Interface NameFactory

All Superinterfaces:
  ValueFactory<Name>

All Known Implementing Classes:
  NameValueFactory

    @ThreadSafe
    public interface NameFactory

extends ValueFactory<Name>

A factory for creating `names`.

Field Summary

Fields inherited from interface org.modeshape.jcr.value.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Method Summary
`Name` | `create(String namespaceUri, String localName)` Create a name from the given namespace URI and local name.
`Name` | `create(String namespaceUri, String localName, TextDecoder decoder)` Create a name from the given namespace URI and local name.
`NamespaceRegistry` | `getNamespaceRegistry()` Get the namespace registry.

Methods inherited from interface org.modeshape.jcr.value.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Method Detail

### create

    Name create(String namespaceUri,
                String localName)

  Create a name from the given namespace URI and local name.

  This method is equivalent to calling `create(String, String, TextDecoder)` with a null encoder.

  Parameters:
    `namespaceUri` - the namespace URI
    `localName` - the local name
  Returns:
    the new name
  Throws:
    `IllegalArgumentException` - if the local name is `null` or empty

### create

    Name create(String namespaceUri,
                String localName,
                TextDecoder decoder)

  Create a name from the given namespace URI and local name.

  Parameters:
    `namespaceUri` - the namespace URI
    `localName` - the local name
    `decoder` - the decoder that should be used to decode the qualified name
  Returns:
    the new name
  Throws:
    `IllegalArgumentException` - if the local name is `null` or empty

### getNamespaceRegistry

    NamespaceRegistry getNamespaceRegistry()

  Get the namespace registry.

  Returns:
    the namespace registry; never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.